Update a group.
ROLES: USER_ADMIN,USER_WRITE USER: true SERVICE ACCOUNT: true
curl --request PUT \
--url https://api.revoengine.com/api/v1/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 4
}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 4})
};
fetch('https://api.revoengine.com/api/v1/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/groups/{groupId}"
payload = { "version": 4 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Body
Optimistic locking version for the group row.
4
Updated group name. Names are globally unique within the instance, including soft-deleted groups, whose names remain reserved, and cannot be UUIDs; check whether another group already has the requested name.
"Operations"
Updated presentation category used for grouping.
"Platform"
Updated operator-visible group description.
"Platform operators with production access."
Replacement resource metadata. Values may use any JSON type. Maximum 16 KiB and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.
{ "costCenter": "platform" }
Replacement owner id. If changing the owner, provide an existing owner; ownerId and ownerType are interpreted together, with an omitted field retaining its current value.
"33333333-3333-4333-8333-333333333333"
Replacement owner principal type. ownerId and ownerType are interpreted together, with an omitted field retaining its current value.
"USER"
Response
OK.
curl --request PUT \
--url https://api.revoengine.com/api/v1/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 4
}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 4})
};
fetch('https://api.revoengine.com/api/v1/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/groups/{groupId}"
payload = { "version": 4 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
